Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`insults`.`helper``

module documentation
(source)

Partial in-memory terminal emulator

Author
Jp Calderone

Class | `ExpectableBuffer` | Undocumented
Class | `TerminalBuffer` | An in-memory terminal emulator.
Exception | `ExpectationTimeout` | Undocumented
Constant | `BACKGROUND` | Undocumented
Constant | `FOREGROUND` | Undocumented
Variable | `BLACK` | Undocumented
Variable | `BLUE` | Undocumented
Variable | `CYAN` | Undocumented
Variable | `GREEN` | Undocumented
Variable | `MAGENTA` | Undocumented
Variable | `N_COLORS` | Undocumented
Variable | `RED` | Undocumented
Variable | `WHITE` | Undocumented
Variable | `YELLOW` | Undocumented
Class | `_FormattingState` | Represents the formatting state/attributes of a single character.

BACKGROUND: `int` = (source)

Undocumented

Value

    40

FOREGROUND: `int` = (source)

Undocumented

Value

    30

BLACK = (source)

Undocumented

BLUE = (source)

Undocumented

CYAN = (source)

Undocumented

GREEN = (source)

Undocumented

MAGENTA = (source)

Undocumented

N_COLORS = (source)

Undocumented

RED = (source)

Undocumented

WHITE = (source)

Undocumented

YELLOW = (source)

Undocumented